#import "ViewController.h"

@interface ViewController ()
{
    IGChartView *_chart;
    IGCategoryDateSeriesDataSourceHelper *_dsh1, *_dsh2;
    NSMutableArray *_chartData;
    NSTimer *_timer;
}

@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view, typically from a nib.
    
    _chartData = [[NSMutableArray alloc]init];
    
    _dsh1 = [[IGCategoryDateSeriesDataSourceHelper alloc]initWithData:_chartData valuePath:@"value1" andDatePath:@"date1"];
    _dsh2 = [[IGCategoryDateSeriesDataSourceHelper alloc]initWithData:_chartData valuePath:@"value2" andDatePath:@"date2"];
    
    _chart = [[IGChartView alloc]initWithFrame:self.view.bounds];
    [_chart addSeriesForType:[IGLineSeries class] usingKey:@"series1" withDataSource:_dsh1 firstAxisKey:@"x" secondAxisKey:@"y"];
    [_chart addSeriesForType:[IGLineSeries class] usingKey:@"series2" withDataSource:_dsh2 firstAxisKey:@"x" secondAxisKey:@"y"];
    
    [self.view addSubview:_chart];
    
    _timer = [NSTimer scheduledTimerWithTimeInterval:1.0 target:self selector:@selector(timerTick) userInfo:nil repeats:YES];
}

-(void)timerTick
{
    ChartData *obj = [[ChartData alloc]init];
    obj.date1 = obj.date2 = [NSDate new];
    obj.value1 = arc4random()%10;
    obj.value2 = arc4random()%10;
    [_chartData addObject:obj];
    
    NSInteger index = _chartData.count-1;
    [_chart insertItemAtIndex:index withSource:_dsh1];
    [_chart insertItemAtIndex:index withSource:_dsh2];
}
@end


@implementation ChartData
@end
